Bug 991797 - storage domain creation fails if its storage connection is not mounted
storage domain creation fails if its storage connection is not mounted
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.4
Assigned To: Alissa
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 08:16 EDT by Alissa
Modified: 2016-02-10 14:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17680 None None None Never
oVirt gerrit 19028 None None None Never

  None (edit)
Description Alissa 2013-08-04 08:16:49 EDT
Description of problem:
If a storage connection was created as standalone (via REST for example) before creating the storage domain, and it was persisted in db without connectStorageServer in vdsm (mount), or it was connected via a different host then the one used when creating storage domain - storage domain creation will fail with "remote path not mounted". 

Version-Release number of selected component (if applicable): 3.3


How reproducible:
always

Steps to Reproduce:
1. create a storage connection without creating storage domain (not possible via UI, just via REST). Don't specify a host (vdsm) during its creation.
2. create a storage domain (via REST) and specify the existing storage connection id - from item 1.

another scenario:
1. create a storage connection without creating storage domain (not possible via UI, just via REST). specify a host (vdsm) during its creation.
2. create a storage domain (via REST) and specify the existing storage connection id (from item 1), and also specify another host - not the same as in  item 1.

Actual results:
an error "remote path not mounted" will occur.

Expected results:
domain created with no errors.

Additional info:

From engine log:
2013-07-31 11:30:44,288 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (http--0.0.0.0-8700-4) Failed in CreateStorageDomainVDS method
2013-07-31 11:30:44,289 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (http--0.0.0.0-8700-4) Error code StorageDomainFSNotMounted and error message VDSGenericException: VDSErrorException: Failed to CreateStorageDomainVDS, error = Storage domain remote path not mounted: ('/rhev/data-center/mnt/mymachine:_export_storagedata_username_data100',)
2013-07-31 11:30:44,290 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (http--0.0.0.0-8700-4) Command org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand return value 
 StatusOnlyReturnForXmlRpc [mStatus=StatusForXmlRpc [mCode=360, mMessage=Storage domain remote path not mounted: ('/rhev/data-center/mnt/mymachine:_export_storagedata_username_data100',)]]
2013-07-31 11:30:44,291 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (http--0.0.0.0-8700-4) HostName = MyHost
2013-07-31 11:30:44,292 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (http--0.0.0.0-8700-4) Command CreateStorageDomainVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed to CreateStorageDomainVDS, error = Storage domain remote path not mounted: ('/rhev/data-center/mnt/mymachine:_export_storagedata_username_data100',)
2013-07-31 11:30:44,293 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateStorageDomainVDSCommand] (http--0.0.0.0-8700-4) FINISH, CreateStorageDomainVDSCommand, log id: 38a86a3
2013-07-31 11:30:44,293 ERROR [org.ovirt.engine.core.bll.storage.AddNFSStorageDomainCommand] (http--0.0.0.0-8700-4) Command org.ovirt.engine.core.bll.storage.AddNFSStorageDomainCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to CreateStorageDomainVDS, error = Storage domain remote path not mounted: ('/rhev/data-center/mnt/mymachine:_export_storagedata_username_data100',) (Failed with VDSM error StorageDomainFSNotMounted and code 360)
Comment 1 Itamar Heim 2013-08-21 12:42:50 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 2 Itamar Heim 2013-09-23 03:27:39 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.